!c Description:
!c  太陽組成を与えるルーチン
!c
!c Current Code Owner: 
!c   sugiyama@gfd-dennou.org
!c
!c Histry: 
!c   Version    Date          Comment
!c   -------    ----------    --------
!c   1.0        2004-06-21    作成
!c
!c Copyright (C) SUGIYAMA Ko-ichiro, 2003, All rights reserved

module prm_solar
  save
  real(8)                    :: solar(20)

contains 
  subroutine SolarInfo

!!!
!!! 原子番号で値を与える. H との比になっていることに注意
!!! Asplund et al. (2005). 
!!!
    solar     = 0.0d0
    solar(2)  = 8.5114d-2  !He (10.93)
    solar(6)  = 2.4547d-4  !C  (8.39)
    solar(7)  = 6.0255d-5  !N  (7.78)
    solar(8)  = 4.5709d-4  !O  (8.66)
    solar(10) = 1.5137d-6  !Ar (6.18)
    solar(15) = 2.2909d-7  !P  (5.36)
    solar(16) = 1.3804d-5  !S  (7.14)
    solar(18) = 6.9183d-5  !Ne (7.84)
!!!
!!! 原子番号で値を与える. H との比になっていることに注意
!!! Atreya et al (1999), Planetary and Space Sci. 47, 1243--1262
!!!
!    solar = 0.0d0
!    solar(2) = 0.0975d0   !He
!    solar(6) = 3.62d-4    !C
!    solar(7) = 1.12d-4    !N
!    solar(8) = 8.51d-4    !O
!    solar(10) = 1.15d-4   !Ar
!    solar(15) = 3.73d-7   !P
!    solar(16) = 1.62d-5   !S
!    solar(18) = 3.05d-6   !Ne

  end subroutine SolarInfo
  
end module prm_solar

